worker_processes  1;

events {
    worker_connections  1024;
}


http {

    include       mime.types;
    default_type  application/octet-stream;
    sendfile        on;
    keepalive_timeout  65;
    client_max_body_size 50m;

    # upstream websocket_backend {
    #     server websocket_server_address:port;  # 替换为你的 WebSocket 服务器地址和端口
    # }

    server { 
        listen 88;
        server_name 120.46.159.163;
        # ssl_certificate  /home/nginx/html/dms/ssl/www.dljpwx.com.crt;
        # ssl_certificate_key  /home/nginx/html/dms/ssl/www.dljpwx.com.key;
        # ssl_session_cache   shared:SSL:1m;
        # ssl_ciphers  HIGH:!aNULL:!MD5;
        # ssl_prefer_server_ciphers  on;

        location / {
            root /home/nginx/html/dms/app;
            try_files $uri $uri/ /index.html;
            index  index.html index.htm;
        }

        location /ezhizao-dms-sys/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7001/;
        }

        location /ezhizao-dms-p2/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7002/;
        }

        location /ezhizao-dms-production/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7003/;
        }
        location /ezhizao-dms-app/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7004/;
        }


        location /ezhizao-dms-jd/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7006/;
        }
             

        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
   } 



   # 德迈仕H5
    server {
        listen      443 ssl;
        server_name  120.46.159.163;
   		ssl_certificate   /home/nginx/html/dms/ssl/dms120.crt;
   		ssl_certificate_key   /home/nginx/html/dms/ssl/dms120.key;
   		ssl_session_cache    shared:SSL:1m;
   		ssl_ciphers  HIGH:!aNULL:!MD5;
   		ssl_prefer_server_ciphers  on;
   		
        location / {
            root   /home/nginx/html/dms/app;
            try_files $uri $uri/ /index.html;
            index  index.html index.htm;
        }
			   
		location /ezhizao-dms-sys/{
		proxy_set_header Host $http_host;
		proxy_set_header X-Real-IP $remote_addr;
		proxy_set_header REMOTE-HOST $remote_addr;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_pass http://120.46.159.163:7001/;
		}
			   
   		location /prod-api/{
   		proxy_set_header Host $http_host;
   		proxy_set_header X-Real-IP $remote_addr;
   		proxy_set_header REMOTE-HOST $remote_addr;
   		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
   		 proxy_pass http://120.46.159.163:7004/;
   		}
		
		location /ezhizao-dms-production/{
		proxy_set_header Host $http_host;
		proxy_set_header X-Real-IP $remote_addr;
		proxy_set_header REMOTE-HOST $remote_addr;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_pass http://120.46.159.163:7003/;
		}
   
        location /ezhizao-dms-p2/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7002/;
        }
      		
        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
    }

   server { 
	listen 80;
	server_name 120.46.159.163;
    # ssl_certificate  /home/nginx/html/dms/ssl/www.dljpwx.com.crt;
    # ssl_certificate_key  /home/nginx/html/dms/ssl/www.dljpwx.com.key;
    # ssl_session_cache   shared:SSL:1m;
    # ssl_ciphers  HIGH:!aNULL:!MD5;
    # ssl_prefer_server_ciphers  on;

    location / {
        root /home/nginx/html/dms/dist;
        try_files $uri $uri/ /index.html;
        index  index.html index.htm;
    }

    location /ezhizao-dms-sys/{
	proxy_set_header Host $http_host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header REMOTE-HOST $remote_addr;
	proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	proxy_pass http://120.46.159.163:7001/;
    }

    location /ezhizao-dms-p2/{
	proxy_set_header Host $http_host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header REMOTE-HOST $remote_addr;
	proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	proxy_pass http://120.46.159.163:7002/;
    }

    location /ezhizao-dms-production/{
	proxy_set_header Host $http_host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header REMOTE-HOST $remote_addr;
	proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	proxy_pass http://120.46.159.163:7003/;
    }
    location /ezhizao-dms-app/{
	proxy_set_header Host $http_host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header REMOTE-HOST $remote_addr;
	proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	proxy_pass http://120.46.159.163:7004/;
    }
    location /ws-sys/ {
        proxy_http_version 1.1; # WebSocket 需要 HTTP/1.1
        proxy_set_header Upgrade $http_upgrade;  # 传递 Upgrade 头
        proxy_set_header Connection "upgrade";  # 传递 Connection 头
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7001/wsMessage/;
    }
    location /ws-production/ {
        proxy_http_version 1.1; # WebSocket 需要 HTTP/1.1
        proxy_set_header Upgrade $http_upgrade;  # 传递 Upgrade 头
        proxy_set_header Connection "upgrade";  # 传递 Connection 头
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7001/wsExport/;
    }
    location /ezhizao-dms-jd/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://120.46.159.163:7006/;
        }

        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
      
   }

}
